Debian Bug report logs - #298370
ITA: neon -- Header and static library files for

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Mon, 7 Mar 2005 01:48:05 UTC

Severity: normal

Fixed in version neon/0.24.7.dfsg-1

Done: Laszlo Boszormenyi (GCS) <gcs@debian.hu>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Siggy Brentrup <bsb@debian.org>, <wnpp@debian.org>:
Bug#298370; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Siggy Brentrup <bsb@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: neon -- Header and static library files for libneon24
Date: Mon, 07 Mar 2005 02:44:02 +0100
Package: wnpp
Severity: normal

The current maintainer of neon, Siggy Brentrup <bsb@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: neon
Binary: libneon24-dev, libneon24
Version: 0.24.7.dfsg-0.2
Priority: optional
Section: net
Maintainer: Siggy Brentrup <bsb@debian.org>
Build-Depends: debhelper (>= 4.0.0), libxml2-dev, libssl-dev, libz-dev, autotools-dev
Build-Conflicts: libkrb5-dev, heimdal-dev
Architecture: any
Standards-Version: 3.6.1
Format: 1.0
Directory: pool/main/n/neon
Files: 1f30d789a47dba2cb058d79795a44b47 681 neon_0.24.7.dfsg-0.2.dsc
 85b384cf096bd0c844122e573d49ab03 505782 neon_0.24.7.dfsg.orig.tar.gz
 bcc111c736927f686ab9dfff5ea1ba09 4619 neon_0.24.7.dfsg-0.2.diff.gz

Package: libneon24
Priority: optional
Section: libs
Installed-Size: 204
Maintainer: Siggy Brentrup <bsb@debian.org>
Architecture: i386
Source: neon
Version: 0.24.7.dfsg-0.2
Depends: libc6 (>= 2.3.2.ds1-4), libssl0.9.7, libxml2 (>= 2.6.11), zlib1g (>= 1:1.2.1)
Filename: pool/main/n/neon/libneon24_0.24.7.dfsg-0.2_i386.deb
Size: 81258
MD5sum: 129d69f4d438ec6206d091423f542826
Description: An HTTP and WebDAV client library
 neon is an HTTP and WebDAV client library, with a C language API.
 .
 WARNING: THE NEON API IS NOT YET STABLE.
 .
 Provides lower-level interfaces to directly implement new HTTP
 methods, and higher-level interfaces so that you don't have to
 worry about the lower-level stuff.
 .
 Current features:
   * High-level interface to HTTP and WebDAV methods (PUT, GET, HEAD etc)
   * Low-level interface to HTTP request handling, to allow implementing
     new methods easily.
   * persistent connections
   * RFC2617 basic and digest authentication (including auth-int, md5-sess)
   * Proxy support (including basic/digest authentication)
   * SSL/TLS support using OpenSSL (including client certificate support)
   * Generic WebDAV 207 XML response handling mechanism
   * XML parsing using the expat or libxml parsers
   * Easy generation of error messages from 207 error responses
   * WebDAV resource manipulation: MOVE, COPY, DELETE, MKCOL.
   * WebDAV metadata support: set and remove properties, query any set ofi
     properties (PROPPATCH/PROPFIND).
   * autoconf macros supplied for easily embedding neon directly inside an
     application source tree.

Package: libneon24-dev
Priority: optional
Section: libdevel
Installed-Size: 404
Maintainer: Siggy Brentrup <bsb@debian.org>
Architecture: i386
Source: neon
Version: 0.24.7.dfsg-0.2
Replaces: libneon-dev
Provides: libneon-dev
Depends: libneon24 (= 0.24.7.dfsg-0.2), libssl-dev, libxml2-dev, pkg-config
Conflicts: libneon-dev, libneon24-doc (<= 0.24.5-1)
Filename: pool/main/n/neon/libneon24-dev_0.24.7.dfsg-0.2_i386.deb
Size: 107184
MD5sum: 81c08d79642c26c70346af1503ac4392
Description: Header and static library files for libneon24
 This package contains the headers and the static library for libneon24.
 .
 Neon provides lower-level interfaces to directly implement new HTTP
 methods, and higher-level interfaces so that you don't have to
 worry about the lower-level stuff.

Justification: No activity since june 2004, doesn't respond to pings



Changed Bug title. Request was from Laszlo Boszormenyi <gcs@lsc.hu> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#298370; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Laszlo Boszormenyi <gcs@lsc.hu>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #12 received at 298370-quiet@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi <gcs@lsc.hu>
To: control@bugs.debian.org
Cc: Siggy Brentrup <bsb@debian.org>, 298370-quiet@bugs.debian.org
Subject: neon package in Debian
Date: Wed, 09 Mar 2005 16:36:48 +0100
package neon
retitle 298370 ITA: neon -- Header and static library files for
libneon24
thanks

Hi,

 I admit that Siggy is lost in action somewhere and he does not respond
to pings, but as I know, a Debian deputy officer met him personaly
recently. As I know, he is Joey Hess, maybe he knows more about him.
On the other hand, I would be happy to help with this package; hopefully
with ACK from Siggy (I have already worked with him, so we know each
other); or as a co-maintainer of neon.

Regards,
Laszlo/GCS




Reply sent to Laszlo Boszormenyi (GCS) <gcs@debian.hu>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 298370-close@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
To: 298370-close@bugs.debian.org
Subject: Bug#298370: fixed in neon 0.24.7.dfsg-1
Date: Tue, 22 Mar 2005 08:32:30 -0500
Source: neon
Source-Version: 0.24.7.dfsg-1

We believe that the bug you reported is fixed in the latest version of
neon, which is due to be installed in the Debian FTP archive:

libneon24-dev_0.24.7.dfsg-1_i386.deb
  to pool/main/n/neon/libneon24-dev_0.24.7.dfsg-1_i386.deb
libneon24_0.24.7.dfsg-1_i386.deb
  to pool/main/n/neon/libneon24_0.24.7.dfsg-1_i386.deb
neon_0.24.7.dfsg-1.diff.gz
  to pool/main/n/neon/neon_0.24.7.dfsg-1.diff.gz
neon_0.24.7.dfsg-1.dsc
  to pool/main/n/neon/neon_0.24.7.dfsg-1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 298370@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Laszlo Boszormenyi (GCS) <gcs@debian.hu> (supplier of updated neon package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 21 Mar 2005 23:40:30 +0100
Source: neon
Binary: libneon24-dev libneon24
Architecture: source i386
Version: 0.24.7.dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Changed-By: Laszlo Boszormenyi (GCS) <gcs@debian.hu>
Description: 
 libneon24  - An HTTP and WebDAV client library
 libneon24-dev - Header and static library files for libneon24
Closes: 261756 268106 268305 285591 298370
Changes: 
 neon (0.24.7.dfsg-1) unstable; urgency=low
 .
   * New maintainer (closes: #298370). Siggy left in as an uploader.
   * ACK NMUs (closes: #261756, #268106).
   * Fix segfault with tla with https on webDAV (closes: #285591), thanks
     to simon raven <simon@nuit.ca> for the fix.
   * Use configure to prevent linking with Kerberos instead of build
     conflict with it (closes: #268305).
Files: 
 0c1abbe796669597a6e4ec284ab0665b 687 net optional neon_0.24.7.dfsg-1.dsc
 85b384cf096bd0c844122e573d49ab03 505782 net optional neon_0.24.7.dfsg.orig.tar.gz
 6f9306a5d442d192545640c07c319bd1 4992 net optional neon_0.24.7.dfsg-1.diff.gz
 63b28f1bd40f8ec59ba2c3fdfdf2763a 81362 libs optional libneon24_0.24.7.dfsg-1_i386.deb
 fa2c62fe3682167d137504bee018bfba 107336 libdevel optional libneon24-dev_0.24.7.dfsg-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFCQBs7MDatjqUaT90RAjFiAJ0ZdiNA5qoluLL/+ajAquLUTLmcVACffJCy
oy/2IahujALItNA9lPGglXg=
=mctm
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#298370; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #22 received at 298370@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Laszlo Boszormenyi <gcs@lsc.hu>, 298370@bugs.debian.org
Cc: Siggy Brentrup <bsb@debian.org>
Subject: Re: neon package in Debian
Date: Thu, 14 Apr 2005 16:05:45 +0200
On Wed, Mar 09, 2005 at 04:36:48PM +0100, Laszlo Boszormenyi wrote:
> Hi,

Why did you mail to -quiet?
 
>  I admit that Siggy is lost in action somewhere and he does not respond
> to pings, but as I know, a Debian deputy officer met him personaly
> recently. As I know, he is Joey Hess, maybe he knows more about him.
> On the other hand, I would be happy to help with this package; hopefully
> with ACK from Siggy (I have already worked with him, so we know each
> other); or as a co-maintainer of neon.

Being 'MIA' (missing in action) doesn't imply someone is completely out
of the world or something, simply that no Debian-activity has been
spotted recently for whatever reason. It happens, people get
distracted/change jobs/lose interest/get a life, or whatever, it's per
se nothing bad or something.

Anyway, after due pings etc I marked Siggy 'MIA', which means others
should take over his packages. Also DAM is or will be informed about
this, and then his emailadress will stop working. So, please drop him
from Uploaders, if he at any time wishes to do Debian work again, he can
say so and always later get re-added if needed/wanted. IMHO uploaders:
fields and such should reflect reality.

--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#298370; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Laszlo Boszormenyi <gcs@lsc.hu>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #27 received at 298370@bugs.debian.org (full text, mbox):

From: Laszlo Boszormenyi <gcs@lsc.hu>
To: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
Cc: 298370@bugs.debian.org, Siggy Brentrup <bsb@debian.org>
Subject: Re: neon package in Debian
Date: Thu, 14 Apr 2005 17:31:07 +0200
Hi,

On Thu, 2005-04-14 at 16:05 +0200, Jeroen van Wolffelaar wrote:
> Why did you mail to -quiet?
 My bad, sorry. I usually mail to -quiet because I Cc: to the reporter,
also I do not want to get automatic replies after my packages for my
mails. But as this time you were the reporter, I appologise that I
missed you.
 
> Being 'MIA' (missing in action) doesn't imply someone is completely out
> of the world or something, simply that no Debian-activity has been
> spotted recently for whatever reason.
 Agree. I meant Joey Hess may know details why Siggy is missing. You
know I was working with him, had some big plans (was working on a big
reformation of the Mailman package); but he is lost without words. If
someone has less time for something, then s/he still may inform others
that s/he does not have enough time anymore. But as Siggy's MIA was
so sharp that I thought he died, only none of us know about it. Then
it was me who almost died in a car accident, but this is an offtopic
here.

>  It happens, people get
> distracted/change jobs/lose interest/get a life, or whatever, it's per
> se nothing bad or something.
 OK, but we haven't seen any letter from him that he may be busy with other
things or so; it was _very sharp_.

> So, please drop him
> from Uploaders, if he at any time wishes to do Debian work again, he can
> say so and always later get re-added if needed/wanted. IMHO uploaders:
> fields and such should reflect reality.
 I agree that this should reflect reality, I just left him in because
the things mentioned above, also because I hope he will come back sooner
or later and so we don't need to do an other upload just because of he
is added back to Uploaders: again.
But well, I have to agree with you and will remove him if there is
something else to commit as well. I don't want to just do an upload
because of this one line change. Is this OK with you as-well or Sarge
should have this change?

Thanks for your comment,
Laszlo/GCS




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:55:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.